<div class="align-items-stretch d-flex w-100 ">
    <app-side-bar></app-side-bar>
    <div class="main min-vh-100">
        <app-nav-bar [Navbar]="Premiere"></app-nav-bar>
        <main class="content px-3 py-2 mt-3">
            <div class="container-fluid">
                <!-- Tu contenido principal aquí -->
                <form [formGroup]="form">
                    <div class="formulario-container">
                        <div class="formulario">
                            <h2>Formulario de estrenos</h2>
                            <label for=" premireData">Fecha de estreno:</label>
                            <input type="text" id=" premireData" name=" premireData" formControlName="premireData">
                            <small appErrorInput [touched]="form.controls[' premireData'].touched"
                                [dirty]="form.controls[' premireData'].dirty"
                                [errors]="form.controls[' premireData'].errors" class="error-message"></small>

                            <div class="campo-dividido">
                                <div>
                                    <label for="hour">Hora:</label>
                                    <input type="number" id="hour" name="hour" formControlName="hour">
                                    <small appErrorInput [touched]="form.controls['hour'].touched"
                                        [dirty]="form.controls['hour'].dirty" [errors]="form.controls['hour'].errors"
                                        class="error-message"></small>
                                </div>
                                <div>
                                    <label for="cinema">Cine:</label>
                                    <input type="text" id="cinema" name="cinema" >
                                    <small appErrorInput [touched]="form.controls['cinema'].touched"
                                        [dirty]="form.controls['cinema'].dirty"
                                        [errors]="form.controls['cinema'].errors" class="error-message"></small>
                                </div>
                            </div>

                            <label for="price">Precio:</label>
                            <input type="number" id="price" name="price" formControlName="price" >
                            <small appErrorInput [touched]="form.controls['price'].touched"
                                [dirty]="form.controls['price'].dirty" [errors]="form.controls['price'].errors"
                                class="error-message"></small>

                            <label for="totalTickets">Total tickets:</label>
                            <input type="number" id="totalTickets" name="totalTickets" formControlName="totalTickets">
                            <small appErrorInput [touched]="form.controls['totalTickets'].touched"
                                [dirty]="form.controls['totalTickets'].dirty"
                                [errors]="form.controls['totalTickets'].errors" class="error-message"></small>

                            <label for="reservation">Reservacion:</label>
                            <input type="number" id="reservation" name="reservation" formControlName="reservation" >
                            <small appErrorInput [touched]="form.controls['reservation'].touched"
                                [dirty]="form.controls['reservation'].dirty"
                                [errors]="form.controls['reservation'].errors" class="error-message"></small>
                            <label for="gender">Peliculas:</label>
                            <select id="gender" name="gender" formControlName="gender">
                                <option value="masculino">Rey leon</option>
                                <option value="femenino">Pato</option>
                                <option value="otro">Wonka</option>
                            </select>
                            <label for="branch">Sucursales:</label>
                            <select id="branch" name="branch" formControlName="branch">
                                <option value="1"> Quitumbe</option>
                                <option value="1">Recreo</option>
                                <option value="1">Norte</option>
                            </select>

                            <div class="button-container">
                                <button type="submit" (click)="add()">Enviar</button>
                                <button type="submit" class="cancel-button"
                                    (click)="redirigirAAddRoles()">Cancelar</button>
                            </div>

                        </div>
                    </div>
                </form>
            </div>

        </main>
    </div>
</div>